
Katello - Bug #27431

hammer upload-content does not validate content type of a package while uploading a package 

07/25/2019 06:51 AM - Vijay Singh

Status: New   

Priority: Normal   

Assignee:    

Category: Repositories   

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: Katello 3.13.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

hammer upload-content does not validate content type of a package while uploading a package. The default behavior if not specified

is rpm.

Steps:

[vagrant@srpm-centos7-hammer-devel ~]$ hammer repository upload-content --id 1 --path /home/vagran

t/pkgs/i3lock-2.8-1.el7.src.rpm

Successfully uploaded file 'i3lock-2.8-1.el7.src.rpm'                  <==== Package type SRPM sho

ws as 'Successfully uploaded'

[vagrant@srpm-centos7-hammer-devel ~]$ hammer repository info --id 1 --organization-id 1 --product

-id 1 --fields 'Content Counts'

Content Counts:

Packages: 0                             <===========

Source RPMS: 0                          <===========

Package Groups: 0

Errata: 0

Module Streams: 0

[vagrant@srpm-centos7-hammer-devel ~]$

 Expected behavior:

 Should through an error, if package is other than RPM.

Related issues:

Related to Katello - Tracker #27539: [Tracker] SRPM Issues New

History

#1 - 07/31/2019 05:48 PM - Justin Sherrill

- Category set to Repositories

- Target version set to Katello Backlog

- Triaged changed from No to Yes

#2 - 08/08/2019 06:06 AM - Vijay Singh

- Related to Tracker #27539: [Tracker] SRPM Issues added
